javaws(1)

NAME
javaws - a Java Web Start client

SYNOPSIS
javaws [-run-options] jnlp-file
javaws [-control-option]

DESCRIPTION
javaws is an implementation of a JNLP client. It uses a JNLP (Java Network Launch Protocol) file to securely run a remote Java application or a Java applet. This implementation of javaws is from the IcedTea project and is based on the NetX project.

A JNLP file is an XML file that describes how to securely run a remote Java application or a Java applet.

OPTIONS
When specifying options, the name of the JNLP file must be the last argument to javaws - all the options must precede it.

The JNLP-file can either be a URL or a local path.

Control Options

By default javaws will launch the JNLP file specified on the command line. The control options can be used to change this behaviour.

-about
    Shows about dialog.

-viewer
    Shows the trusted certificate viewer. This allows a user to list, examine, remove or export trusted certificates. Note that this only reflects the certificates trusted by javaws and not any other certificates or programs.

Run Options

In the default mode, the following run-options can be used:

-version
    Prints out version and exit

-arg arg
    Adds an application argument before launching.

-param name=value
    Adds an applet parameter before launching.

-property name=value
    Sets a system property before launching.

-update seconds
    Check for applet/application updates if "seconds" seconds have elapsed since the last check.

-license
    Display the GPL license and exit.

-verbose
    Enable verbose output. Very useful in debugging.

-nosecurity
    Disables the secure runtime environment.

-noupdate
    Disables checking for updates.

-headless
    Disables the download window and other extra UI elements.

-strict
    Enables strict checking of JNLP file format. Any deviations from the JNLP DTD will cause javaws to abort.

-xml
    Enables stricter XML validity checking for JNLP files.

-allowredirect
    Enables following 301, 302, 303, 307 and 308 HTTP redirects for javaws applications.

-Xoffline
    IcedTea-Web will not attempt to connect to the network to check for or download newer versions of the requested applet or application. Locally cached application files will be used instead, if available. The application itself may still establish its own network connections.

-Xnofork
    Do not create another JVM, even if the JNLP file asks for running in a separate JVM. This is useful for debugging.

-Xclearcache
    Clean the JNLP application cache.

-Xignoreheaders
    Skip jar header verification.

-Jjava-option
    This passes along java-option to the Java binary (JVM) which javaws will be executed within. For example, to make javaws run with a max heap size of 80m, use -J-Xmx80m.

-help
    Print the javaws help message and exit.

FILES
$XDG_CONFIG_DIR/icedtea-web/deployment.properties specifies the settings used by javaws $XDG_CONFIG_DIR/icedtea-web/log (may be set to different location by you) contains file log files (if enabled). itw-cplugin-date_time.log for native part of plugin, itw-javantx-date_time.log for everything else. $XDG_CONFIG_DIR/icedtea-web/security/java.policy contains the user's security policy, which may grant extra permissions to applets. $XDG_CONFIG_DIR/icedtea-web/security/trusted.*certs contains various stored certificates. $XDG_CACHE_DIR/icedtea-web/cache contains cached runtime entries (may be modified by the user). $XDG_CACHE_DIR/icedtea-web/pcache contains saved application data. $XDG_CACHE_DIR/icedtea-web/tmp contains temporary runtime files. $XDG_RUNTIME_DIR/icedteaplugin-user-*/ contains in and out pipe for native<->java communication and (if enabled) debugging pipe Where $XDG_CONFIG_DIR, $XDG_CACHE_DIR and $XDG_RUNTIME_DIR are defined as $HOME/.config, $HOME/.cache and either /tmp or /var/tmp by default. This is in accordance with the FreeDesktop Base Directory Specification:
    http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html

BUGS
There aren't any known bugs. If you come across one, please file it at
    http://icedtea.classpath.org/bugzilla/
Please run javaws in debug (via -verbose switch, itweb-settings configuration, or ICEDTEAPLUGIN_DEBUG environment variable set to true) mode and include that output (best is from java console) with URL to JNLP or HTML file (not the JNLP/HTML file or application itself) when filing out the bug report.

AUTHOR
Originally written by Jon. A. Maxwell.
Currently maintained by the IcedTea contributors. See javaws -about for more info

SEE ALSO
java(1), itweb-settings(1)
http://icedtea.classpath.org/wiki/IcedTea-Web